ulink.hyphenate
Prev | Miscellaneous | Next

## ulink.hyphenate

ulink.hyphenate — Allow URLs to be automatically hyphenated

## Synopsis

    <xsl:param name="ulink.hyphenate"></xsl:param>

## Description

If not empty, the specified character (or more generally, content) is added to URLs after every character included in the string in the `ulink.hyphenate.chars` parameter (default is “/”) to enable hyphenation of ulinks. If the character in this parameter is a Unicode soft hyphen (0x00AD) or Unicode zero-width space (0x200B), some FO processors will be able to reasonably hyphenate long URLs.

Note that this hyphenation process is only applied when the ulink element is empty and the url attribute is reused as the link text. It is not applied if the ulink has literal text content. The same applies in in DocBook 5, where ulink was replaced with link with an xlink:href attribute.

Prev | Up | Next
ulink.footnotes | Home | ulink.hyphenate.chars